POST
/
platformapi
/
chainup
/
open
/
user
/
depositRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/depositRecord
{
    "code": "",
    "msg": "",
    "message": null,
    "data": [
        {
            "symbol": "usdt",
            "id": 112331,
            "uid": -230000,
            "createdAt": 1233200092,
            "addressTo": "xxxxxxxxx",
            "amount": "1",
            "txid": "xxxxx",
            "status": 1,
            "depositType": 0,
            "statusDesc": "xxxxx",
            "mobileNumber": "08666666",
            "email": "xxxxx",
            "riskLevel": 0
        },
        {
            "symbol": "bnb",
            "id": 112331,
            "uid": -230000,
            "createdAt": 1233200092,
            "addressTo": "xxxxxxxxx",
            "amount": "1",
            "status": 1,
            "depositType": 0,
            "statusDesc": "xxxxx",
            "mobileNumber": "08666666",
            "email": "xxxxx",
            "riskLevel": 0
        },
        {
            "symbol": "btc",
            "id": 112331,
            "uid": -230000,
            "createdAt": 1233200092,
            "addressTo": "xxxxxxxxx",
            "amount": "1",
            "txid": "xxxxx",
            "status": 1,
            "depositType": 0,
            "statusDesc": "xxxxx",
            "mobileNumber": "08666666",
            "email": "xxxxx",
            "riskLevel": 0
        },
        {
            "symbol": "eth",
            "id": 112331,
            "uid": -230000,
            "createdAt": 1233200092,
            "addressTo": "xxxxxxxxx",
            "amount": "1",
            "txid": "xxxxx",
            "status": 1,
            "depositType": 0,
            "statusDesc": "xxxxx",
            "mobileNumber": "08666666",
            "email": "xxxxx",
            "riskLevel": 0
        }
    ]
}

Query Parameters

appKey
string
required

Merchant AppKey

Example: xxx_xxx

openId
string

openId, userId must pass one, while passing, take openId.

userId
string

openId, userId must pass one, while passing, take openId.

mobileNumber
string

Cell phone number.

Example: 09011223

email
string

User's email(openId,userId,mobileNumber,email)Four choices are required.

Example: xxxxx@xxx.com

pageSize
string

Number of pages per page (default, 20, max 1000, can be equal to 1000).

Example: 20

pageNumber
string

Number of pages (default 1, first page).

Example: 1

sign
string
required

Signature

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

Response

200 - application/json
code
string

Return code.

Example: 0

msg
string

Success or failure message

Example: Success

message
string

Success or failure message

Example: null

data
object